Revoke an access token
RFC 7009. Always answers 200, even for unknown tokens. The next request with a revoked token gets `401 token_revoked`.
RFC 7009. Always answers 200, even for unknown tokens. The next request with a revoked token gets 401 token_revoked.
Authorization
clientAuth AuthorizationBasic <token>
Client authentication at the token and revocation endpoints: private_key_jwt (client_assertion), client_secret_basic (HTTP Basic) or client_secret_post.
In: header
Request Body
application/x-www-form-urlencoded
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/oauth/revoke" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d 'client_id=edf_test_cli_4sQn8XkP2mVb7RtY1wLcZd&client_secret=edf_test_cs_placeholder&token=eyJhbGciOiJFUzI1NiJ9.e30.sig'Empty